Changes between Version 6 and Version 16 of Ticket #27492


Ignore:
Timestamp:
Aug 1, 2020, 9:00:26 PM (3 years ago)
Author:
egourgoulhon
Comment:

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #27492

    • Property Cc mkoeppe tscrim added
  • Ticket #27492 – Description

    v6 v16  
    3939}}}
    4040The full error message is attached.
     41
     42**UPDATE** (1 Aug. 2020): the parallel computation still fails in Sage 9.2.beta6, but this time the error message is different:
     43{{{
     44sage: s = t.contract(v)
     45---------------------------------------------------------------------------
     46RemoteTraceback                           Traceback (most recent call last)
     47RemoteTraceback:
     48"""
     49Traceback (most recent call last):
     50  File "/home/eric/sage/9.2.develop/local/lib/python3.7/site-packages/sage/interfaces/interface.py", line 718, in __init__
     51...
     52  File "sage/libs/ecl.pyx", line 352, in sage.libs.ecl.ecl_safe_funcall (build/cythonized/sage/libs/ecl.c:5707)
     53    raise RuntimeError("ECL says: {}".format(
     54RuntimeError: ECL says: THROW: The catch MACSYMA-QUIT is undefined.
     55
     56During handling of the above exception, another exception occurred:
     57
     58Traceback (most recent call last):
     59  File "/home/eric/sage/9.2.develop/local/lib/python3.7/multiprocessing/pool.py", line 121, in worker
     60    result = (True, func(*args, **kwds))
     61  File "sage/misc/fpickle.pyx", line 100, in sage.misc.fpickle.call_pickled_function (build/cythonized/sage/misc/fpickle.c:2313)
     62    res = eval("f(*args, **kwds)",sage.all.__dict__, {'args':args, 'kwds':kwds, 'f':f})
     63  File "<string>", line 1, in <module>
     64  File "/home/eric/sage/9.2.develop/local/lib/python3.7/site-packages/sage/tensor/modules/comp.py", line 2329, in make_Contraction
     65    sm += this[[ind_s]] * other[[ind_o]]
     66...
     67  File "/home/eric/sage/9.2.develop/local/lib/python3.7/site-packages/sage/interfaces/interface.py", line 720, in __init__
     68    raise TypeError(x)
     69TypeError: ECL says: THROW: The catch MACSYMA-QUIT is undefined.
     70"""
     71
     72The above exception was the direct cause of the following exception:
     73
     74TypeError                                 Traceback (most recent call last)
     75...
     76/home/eric/sage/9.2.develop/local/lib/python3.7/multiprocessing/pool.py in next(self, timeout)
     77    746         if success:
     78    747             return value
     79--> 748         raise value
     80    749
     81    750     __next__ = next                    # XXX
     82
     83TypeError: ECL says: THROW: The catch MACSYMA-QUIT is undefined.
     84}}}
     85The full error message is attached.